curl --request GET \
--url https://api.treasuryprime.com/ach_config \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/ach_config"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/ach_config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "acct_291u96075mva",
"daily_credit_limit": "25000.00",
"daily_debit_limit": "25000.00",
"id": "achconf_3k9p2wd6rn4x",
"inach_return_codes_business": [
"R29"
],
"inach_return_codes_consumer": [
"R10",
"R11"
],
"lock_blocks_credit": true,
"locked_credit_return_code": "R16",
"return_allowed_days": "2",
"sameday_max_amount": "1000000.00",
"sec_codes_allowed": [
"CCD",
"PPD",
"WEB"
],
"total_credit_limit": "100000.00",
"total_debit_limit": "100000.00",
"transaction_credit_limit": "10000.00",
"transaction_debit_limit": "10000.00"
}
]
}List ACH Configurations
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Specific account ID that the config applies to. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size ach_config elements, starting after the ach_config described by page_cursor. If no more ach_configs are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?